function Motorista() {
	const ZeedhiAPIConstructor = require('zeedhi-functional-test-api');
	const z = new ZeedhiAPIConstructor(browser, protractor);
	const Helper = require('teknisa-helper');
	const geral = new Helper.geral();
	const protractorHelper = require('protractor-helper');

	this.abrir = () => {
		z.component.menu.open();
		protractorHelper.waitForElementVisibility(element(by.css('.menu-overlay')));
		z.component.menu.clickByPath(['Parametrização', 'Expedição', 'Motorista']);
		geral.esperarLoading();
	};

	this.adicionarMotorista = (codigo, nome, matricula, habilitacao, ajudante) => {
		geral.clickAndFillField('CDMOTORISTA', codigo);
		geral.clickAndFillField('NMMOTORISTA', nome);
		geral.clickAndFillField('NRMATMOT', matricula);
		geral.clickAndFillField('NRCARTMOT', habilitacao);
		geral.clickAndFillField('NMAJUDANTE', ajudante);
	};

	this.editarMotorista = (nomePessoa1, matricula1, habilitacao1) => {
		geral.fillField('NMMOTORISTA', nomePessoa1);
		geral.fillField('NRMATMOT', matricula1);
		geral.fillField('NRCARTMOT', habilitacao1);
		geral.fillField('NMAJUDANTE', nomePessoa1);
	};

	this.apagarMotorista = () => {
		geral.clickExcluir();
		geral.clickSim();
	};
}
module.exports = new Motorista();
